package com.lantone.dblayermbg.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * URL资源表
 * </p>
 */
@Data
@TableName("sys_resource")
@ApiModel(value="Resource对象", description="URL资源表")
public class Resource implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "URL资源名称")
    @TableField("name")
    private String name;

    @ApiModelProperty(value = "页面路由")
    @TableField("url")
    private String url;

    @ApiModelProperty(value = "排序")
    @TableField("order_no")
    private String orderNo;

    @ApiModelProperty(value = "状态 0:禁用，1：启用")
    @TableField("status")
    private String status;

    @ApiModelProperty(value = "描述")
    @TableField("describe")
    private String describe;

    @ApiModelProperty(value = "是否删除,N:未删除，Y:删除")
    @TableField("is_deleted")
    private String isDeleted;

    @ApiModelProperty(value = "记录创建时间")
    @TableField("gmt_create")
    private Date gmtCreate;

    @ApiModelProperty(value = "记录修改时间,如果时间是1970年则表示纪录未修改")
    @TableField("gmt_modified")
    private Date gmtModified;

    @ApiModelProperty(value = "创建人，0表示无创建人值")
    @TableField("creator")
    private String creator;

    @ApiModelProperty(value = "修改人,如果为0则表示纪录未修改")
    @TableField("modifier")
    private String modifier;

    @ApiModelProperty(value = "备注")
    @TableField("remark")
    private String remark;


}
