package com.lantone.dblayermbg.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.lantone.common.dto.DataAuthDTO;
import com.lantone.common.dto.SoftwareRoleDataAuthDetailDTO;
import com.lantone.common.vo.DataAuthVO;
import com.lantone.common.vo.SoftwareDataAuthVO;
import com.lantone.dblayermbg.entity.DataAuth;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 数据权限表 Mapper 接口
 * </p>
 */
public interface DataAuthMapper extends BaseMapper<DataAuth> {

    /**
     * @Method getDataAuthById
     * @Author songxl
     * @Version  1.0
     * @Description通过数据权限id和角色id获取数据权限
     * @param  softwareDataAuthVO
     * @Return java.util.List<com.lantone.common.dto.SoftwareRoleDataAuthDetailDTO>
     * @Date 2021/7/29
     */
    List<SoftwareRoleDataAuthDetailDTO> getDataAuthById(@Param("softwareDataAuthVO") SoftwareDataAuthVO softwareDataAuthVO);

    /**
     * @Method getOneSoftwareRoleDataAuthDetail
     * @Author songxl
     * @Version  1.0
     * @Description获取数据权限详情
     * @param softwareID
     * @param dataDetailID
     * @Return java.util.List<com.lantone.common.dto.SoftwareRoleDataAuthDetailDTO>
     * @Date 2021/7/29
     */
    List<SoftwareRoleDataAuthDetailDTO> getOneSoftwareRoleDataAuthDetail(@Param("softwareID") Long softwareID, @Param("dataDetailID") Long dataDetailID);


    /**
     * @Method getDataAuthPage
     * @Author songxl
     * @Version  1.0
     * @Description获取数据权限列表
     * @param dataAuthVO
     * @Return com.baomidou.mybatisplus.core.metadata.IPage<com.lantone.common.dto.DataAuthDTO>
     * @Date 2021/7/29
     */
    IPage<DataAuthDTO> getDataAuthPage(@Param("dataAuthVO") DataAuthVO dataAuthVO);
}

