package com.lantone.dblayermbg.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.lantone.common.dto.MenuDTO;
import com.lantone.common.vo.RoleSoftwareMenuVo;
import com.lantone.dblayermbg.entity.RoleSoftwareMenu;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 角色与系统服务与功能菜单关联表 Mapper 接口
 * </p>
 */
public interface RoleSoftwareMenuMapper extends BaseMapper<RoleSoftwareMenu> {
    /**
     * @Method getMenus
     * @Author songxl
     * @Version  1.0
     * @Description普通用户获取对应系统的菜单列表
     * @param roleSoftwareMenuVo
     * @Return java.util.List<com.lantone.common.dto.MenuDTO>
     * @Date 2021/7/28
     */
    List<MenuDTO> getMenus(@Param("roleSoftwareMenuVos") RoleSoftwareMenuVo roleSoftwareMenuVo);
}

