package com.lantone.security.web;

import com.lantone.common.api.CommonResult;
import com.lantone.common.vo.SysRegionVo;
import com.lantone.dblayermbg.facade.SysRegionFacade;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import springfox.documentation.annotations.ApiIgnore;

/**
 * @ClassName: DataWardController
 * @Description: 病区管理
 * @Author cy
 * @Date 2021/7/27
 * @Version 1.0
 */
@RestController
@Api(value = "病区管理API", tags = { "病区管理API" })
@RequestMapping("/data/ward")
public class DataWardController {
    @Autowired
    private SysRegionFacade sysRegionFacade;
    @ApiOperation(value = "新增/修改病区[by:cy]",
            notes =  "organizationName:上级组织名称，必填<br>" +
                    "name:病区名称，必填<br>" +
                    "code:病区编码，<br>" +
                    "deptIds:关联科室，<br>" +
                    "station:区域类别，必填<br>" +
                    "orderNo:排序，<br>"+
                    "status:是否启用，<br>")
    @PostMapping("/saveWard")
    @ApiIgnore
    @Transactional
    public CommonResult<Object> saveWard(@RequestBody SysRegionVo sysRegionVo) {
        return CommonResult.success(sysRegionFacade.saveWard(sysRegionVo));
    }
}
